# ipacl.h File Reference

`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Classes

class | PIpAccessControlEntry
| This class is a single IP access control specification. More...
class | PIpAccessControlList
| This class is a list of IP address mask specifications used to validate if an address may or may not be used in a connection. More...

## Functions

| PSORTED_LIST (PIpAccessControlList_base, PIpAccessControlEntry)

## Function Documentation

PSORTED_LIST | ( | PIpAccessControlList_base | ,
|  | PIpAccessControlEntry |  |
| ) |  |  |